View Issue Details

IDProjectCategoryView StatusLast Update
0002285SOGoOpenChange backendpublic2013-09-18 14:05
Reporteronofabio Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Target Version2.0.6Fixed in Version2.0.6 
Summary0002285: Problem on event/contact edit
Description

I can create events and/or contacts on SOGo webmail, and I can see that on Outlook, but if i try to edit events and/or contacts , this changes no reported on Outlook.

My enviroment:
SO: Ubuntu 12.04
Backend: Openchange/Samba4
MTA: Postfix
Database: Mysql
Imap: dovecot

TagsNo tags attached.

Activities

onofabio

onofabio

2013-04-12 04:08

reporter   ~0005515

Other info... sogo version 2.0.4

onofabio

onofabio

2013-04-18 11:54

reporter   ~0005535

Same problem with ZEG virtual machine.

I think that this can't be only my problem....

onofabio

onofabio

2013-05-10 07:34

reporter   ~0005574

Steps to reproduce bug:

  • Create an appointment in outlook
  • Force folder sync (I can see appointment in SOGo webmail)
  • Edit appointment in webmail, change title.
  • Force folder sync on outlook (I can see changes)
  • Edit appointment in outlook, change title.
  • Force folder sync (I can see appointment changes in SOGo webmail)
  • Edit appointment in webmail, change title.
  • Force folder sync on outlook - I CAN'T SEE CHANGES !!!

Seems that after first change, sync between server and client (outlook) are stopped, but only if changes come from server (webmail).

Same problem on ZEG appliance.

Any suggestion?

onofabio

onofabio

2013-05-15 04:01

reporter   ~0005591

Any news?

ludovic

ludovic

2013-05-23 14:25

administrator   ~0005604

Targeting to v2.0.6, if we can reproduce it.

ludovic

ludovic

2013-06-20 09:20

administrator   ~0005678

I can reproduce it. Looking into it...

ludovic

ludovic

2013-06-20 13:44

administrator   ~0005680

Fix puhsed: https://github.com/inverse-inc/sogo/commit/d28482557ff344e908ad5ad2056965ead061b1b2

ludovic

ludovic

2013-09-18 14:05

administrator   ~0006021

Related fix too: https://github.com/inverse-inc/sogo/commit/7ddc1b9e2d2696e80a3d9e81e96dc5a0ff81b738

Issue History

Date Modified Username Field Change
2013-04-12 04:03 onofabio New Issue
2013-04-12 04:08 onofabio Note Added: 0005515
2013-04-18 11:54 onofabio Note Added: 0005535
2013-05-10 07:34 onofabio Note Added: 0005574
2013-05-15 04:01 onofabio Note Added: 0005591
2013-05-23 14:25 ludovic Note Added: 0005604
2013-05-23 14:25 ludovic Target Version => 2.0.6
2013-06-03 10:52 jraby Status new => assigned
2013-06-03 10:52 jraby Assigned To => jraby
2013-06-19 16:03 ludovic Assigned To jraby => ludovic
2013-06-20 09:20 ludovic Note Added: 0005678
2013-06-20 13:44 ludovic Note Added: 0005680
2013-06-20 13:44 ludovic Status assigned => closed
2013-06-20 13:44 ludovic Resolution open => fixed
2013-06-20 13:44 ludovic Fixed in Version => 2.0.6
2013-09-18 14:05 ludovic Note Added: 0006021